com.holonplatform.datastore.mongo.core.context

## Interface MongoOperationContext<MongoDatabase,S extends com.mongodb.session.ClientSession>

- Type Parameters:
    `MongoDatabase` - Actual MongoDatabase type (sync or async)
    `S` - Concrete ClientSession type
  All Superinterfaces:
    com.holonplatform.core.datastore.DatastoreCommodityHandler, com.holonplatform.core.ExpressionResolver.ExpressionResolverProvider, MongoContext<S>, MongoDatabaseHandler<MongoDatabase>
  All Known Subinterfaces:
    AsyncMongoDatastoreCommodityContext, MongoDatastoreCommodityContext<MongoDatabase,S>, SyncMongoDatastoreCommodityContext
  All Known Implementing Classes:
    AbstractAsyncMongoDatastore, com.holonplatform.datastore.mongo.core.internal.datastore.AbstractMongoDatastore, DefaultAsyncMongoDatastore, DefaultMongoDatastore, DefaultReactiveMongoDatastore

      public interface MongoOperationContext<MongoDatabase,S extends com.mongodb.session.ClientSession>
      extends MongoContext<S>, MongoDatabaseHandler<MongoDatabase>, com.holonplatform.core.datastore.DatastoreCommodityHandler

  MongoDB Datastore operations execution context.
  Since:
    5.2.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isAsync()` Gets whether the MongoDB driver in use is asynchronous.

    - ### Methods inherited from interface com.holonplatform.datastore.mongo.core.context.MongoContext

      `getClientSession, getDatabaseCodecRegistry, getDefaultEnumCodecStrategy, getDefaultReadConcern, getDefaultReadPreference, getDefaultWriteConcern, getDocumentIdResolver, toJson, toJson, toJson, trace, trace, trace, trace`

    - ### Methods inherited from interface com.holonplatform.core.ExpressionResolver.ExpressionResolverProvider

      `getExpressionResolvers`

    - ### Methods inherited from interface com.holonplatform.datastore.mongo.core.MongoDatabaseHandler

      `withDatabase, withDatabase`

    - ### Methods inherited from interface com.holonplatform.core.datastore.DatastoreCommodityHandler

      `create, getAvailableCommodities, hasCommodity`

- - ### Method Detail

    - #### isAsync

          boolean isAsync()

      Gets whether the MongoDB driver in use is asynchronous.
      Returns:
        `true` if in asynchronous mode, `false` if in synchronous mode

Copyright © 2019 The Holon Platform. All rights reserved.